
/* fonts */
@font-face{
    font-family:'FbSpoiler';
    src:url(../spoiler/fbspoileren-regular-webfont.eot);
    src:url(../spoiler/fbspoileren-regular-webfont.eot?#iefix) format('embedded-opentype'),
    url(../spoiler/fbspoileren-regular-webfont.woff) format('woff'),
    url(../spoiler/fbspoileren-regular-webfont.ttf) format('truetype'),
    url(../spoiler/fbspoileren-regular-webfont.svg#fbspoilerenregular) format('svg');
    font-weight:400;
    font-style:normal;
}

@font-face{
    font-family:'FbSpoiler';
    src:url(../spoiler/fbspoileren-bold-webfont.eot);
    src:url(../spoiler/fbspoileren-bold-webfont.eot?#iefix) format('embedded-opentype'),
    url(../spoiler/fbspoileren-bold-webfont.woff) format('woff'),
    url(../spoiler/fbspoileren-bold-webfont.ttf) format('truetype'),
    url(../spoiler/fbspoileren-bold-webfont.svg#fbspoilerenbold) format('svg');
    font-weight:700;
    font-style:normal;
}

@font-face{
    font-family:'FbSpoiler';
    src:url(../spoiler/spoilerblackwebfont.eot);
    src:url(../spoiler/spoilerblackwebfont.eot?#iefix) format('embedded-opentype'),
    url(../spoiler/spoilerblackwebfont.woff) format('woff'),
    url(../spoiler/spoilerblackwebfont.ttf) format('truetype'),
    url(../spoiler/spoilerblackwebfont.svg#spoilerblack) format('svg');
    font-weight:900;
    font-style:normal;
}
@font-face{
    font-family: 'FbSpoilerEng';
    src: url(../spoiler/FbSpoilerEng-Regular.otf);
}
/* global */
body{
    font-size: 10px;
}

* {
    box-sizing: border-box;
}

.warpper{
    position: relative;
    direction: rtl;
    margin: 0 auto;
    font-family: 'FbSpoiler';
}

.clear{
    clear: both;
}

/* header*/
header{
    border-bottom: 2px solid #e2e2e2;
    height: 83px;
    padding: 0px 2.6%;
}

.logo-box{
    display: inline-block;
    padding-top: 1%;
}

#logo{
    display: inline-block;
    vertical-align: middle;
}

#vertical-line{
    display: inline-block;
    vertical-align: middle;
    margin-left: 23px;
    margin-right: 27px;
    height: 56px;
    width: 1px;
    background-color: #e2e2e2;
}

header h1{
    display: inline-block;
    margin: 0;
    font-size: 3em;
    color: #959595;
    font-weight: 400;
    vertical-align: middle;
}

.menu{
    float: left;
    padding-top: 27px;
}

.menu a{
    display: inline-block;
    font-size: 2.1em;
    margin: 0;
    color: #2b2b2b;
    margin-right: 40px;
    text-decoration: none;
}

/* header mobile buttons */
.back-btn{
    display: none;
    float: right;
    margin-right: 1em;
    cursor: pointer;
}

.menu-btn{
    display: none;
    float: left;
    margin-left: 1em;
    cursor: pointer;
}

/* mobile menu */
.mobile-menu{
    display: none;
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: white;
    z-index: 25;
    padding-top: 80px;
}

.mobile-menu div{
     border-bottom: 2px solid #e2e2e2;
     font-size: 3em;
     padding: 30px 55px 30px 40px;
}

.mobile-menu div img{
    float: left;
    margin-top: 31px;
}
.loading{
    display: none;
}
.loading .pop-up{
    width: 10%;
    padding: 1%;
    box-shadow: 2px 3px 0px #be9b5b;
}
.loading .pop-up img{
    width: 100%;
}


/* main */
.main{
    min-height: calc(100vh - 123px);
}

/* grid */
.grid{}

.grid:after{
    content: '';
    clear: both;
    display: block;
}

.grid-item{
    float: right;
    position: relative;
}

.grid-content{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

/* footer */
footer{
    direction: ltr;
    border-top: 2px solid #e4e4e4;
    height: 40px;
    overflow: hidden;
    line-height: 40px;
    padding: 0 2.2%;
}

footer img{
    padding-top: 1%;
}

/* pop-up */
.pop-up-halo{
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5);
    z-index: 100;
    overflow: auto;
}

.pop-up{
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    background-color: white;
    width: 470px;
    padding: 45px 55px 50px 55px;
    color: #444444;
}

.pop-up .close-img{
    position: absolute;
    left: 0;
    top: -1.6px;
    cursor: pointer;
}

.pop-caption{
    margin: 0;
    font-size: 3em;
    text-align: center;
}

.pop-up hr{
    border: 1px solid #eaeaea;
    margin: 28px 0px 35px 0px;
}

.pop-up-text{
    margin: 0;
    margin-top: 35px;
    font-size: 2.5em;
}

.pop-up label{
    display: block;
    font-size: 2.5em;
    margin-bottom: 15px;
}

.fields{
    display: block;
    height: 44px;
    width: 100%;
    font-size: 2.5em;
    border-radius: 5px;
    background-color: #f2f2f2;
    border: 1px solid #dadada;
    text-align: center;
    margin-bottom: 25px;
}

/* :checkbox */
.checkbox{
    position: relative;
    background-color: #f2f2f2;
    border: 1px solid #dadada;
    border-radius: 5px;
    width: 28px;
    height: 28px;
    overflow: hidden;
    display: inline-block;
    vertical-align: middle;
    text-align: center;
    margin-left: 13px;
}

.checkbox input{
  opacity: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  padding: 0;
  margin: 0;
  border: none;
}

.checkbox-text{
    margin: 0;
    display: inline-block;
    font-size: 0.84em;
    vertical-align: middle;
}

.checkbox img{
    display: none;
    position: absolute;
    max-width: 70%;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    vertical-align: middle;
}

.checkbox input:checked + img{
  display: inline-block;
}

/* buttons */ 
.gold-btn{
    height: 52px;
    width: 353px;
    font-size: 3em;
    border-radius: 5px;
    background-color: #d5af69;
    border: 2px solid #dfc79b;
    color: white;
    font-weight: 700;
}

.white-btn{
    height: 52px;
    width: 353px;
    font-size: 3em;
    border-radius: 5px;
    background-color: white;
    border: 2px solid #be9b5b;
    color: #be9b5b;
    font-weight: 700;
}

.add-tag{
    cursor: pointer;
}

.add-tag img{
   display: inline-block;
   vertical-align: middle;
}

.add-tag p{
    display: inline-block;
    margin: 0;
    vertical-align: middle;
    margin-right: 20px;
    font-size: 2.5em;
    color: #be9b5b;
}

/* home page */
.home{
    padding: 1% 1.6%;
    background-color:  #f2f2f2;
}

.home .grid-item{
  width: 50%;
  padding-bottom: 19.5%;
}

.home .grid-content{
  width: 97%;
  height: 92%;
  text-align: center;
  background-position: center;
  background-size: cover;
}

.home .grid-content:hover .black-hover{
    display: block;
}

.home .black-hover{
    display: none;
    background-color: rgba(0,0,0,0.5);
    width: 100%;
    height: 100%;
    color: white;
    font-size: 2.08vw;
    padding-top: 16.5%;
    font-family: 'FbSpoilerEng';
}

/* intro pop-up */
.intro{
    overflow: auto;
}

.intro .pop-up{
    position: absolute;
}

.intro .more-intro{
   display: none;
}

/* upload images page */ 
.upload{
    background-color: #f2f2f2;
}
.dragover{
    transition: opacity .6s ease-in-out;
    opacity: .5;
}
.upload .label{
    text-align-last: center;
}

.upload .label h2{
    margin: 0;
    font-size: 4em;
    padding: 2% 0;
    border-bottom: 2px solid #e2e2e2;
    font-weight: normal;
    color: #444444;
}

.new-workspace{
    /* display: none; */
}

.upload .new-workspace{
    text-align: center;
}
.upload .new-workspace p{
    margin: 35px 0;
    font-size: 2.5em;
}
.upload .new-workspace .white-btn{
    line-height: 50px;
    margin: 0 auto;
}
.upload .file-input{
    opacity: 0;
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    z-index: 1;
}
.upload .workspace{
    /*display: none;*/
    width: 90.93%;
    margin: 0 auto;
    padding: 30px 0;
    font-size: 1vw;
}

.upload .grid-item{
  width: 50%;
  padding-bottom: 28%;
}

.upload .grid-content{
  width: 96.5%;
  min-height: 95%;
  background-color: white;
  padding: 4% 6%;
}

.upload .content-box{
    width: 50%;
    color: #444444;
}

.upload .caption{
    margin: 0;
    font-size: 1.67em;
    margin-bottom: 10px;
}

.upload .fields{
    height: auto;
    margin-top: 0.4em;
    font-size: 1.3em;
    padding: 2%;
    margin-bottom: 6%;
    text-align: right;
}

.upload label{
    display: block;
    margin-bottom: 0.4em;
}

.upload .checkbox{
    width: 8%;
    height: 0;
    padding-bottom: 7%;
    margin-left: 0;
}

.upload .checkbox-text{
    font-size: 1.3em;
    padding-right: 1.5%;
}

.upload .add-tag{
    cursor: pointer;
    margin-top: 1em;
    margin-right: 0.25em;
}

.upload .add-tag img{
    width: 5%;
}

.upload .add-tag p{
    display: inline-block;
    margin: 0;
    vertical-align: middle;
    margin-right: 0.8em;
    font-size: 1.3em;
    color: #be9b5b;
}

.upload .pic-box{
    float: left;
    width: 42.3%;
    margin-top: 1.4%;
    padding-bottom: 35%;
    border: 1px solid #c7c7c5;
    background-image: url('../images/demo-img.jpg');
    background-position: center center;
    background-size: cover;
}

.upload .pic-box img{
    float: left;
    width: 14%;
    margin: 1.5%;
    cursor: pointer;
}

.upload .options{
    display: none;
    border-top: 2px solid #e2e2e2;
    padding: 2.4% 0;
    text-align-last: center;
    margin-top: 30px;
}

.upload .white-btn{
    margin-left: 25px;
    position: relative;
}
.dragover .white-btn{
    position: static;
}
/* delete item pop-up */ 
.delete-item{
    display: none;
    text-align: center;
}

.delete-item .pop-caption{
    font-size: 4em;
}

.delete-item .gold-btn{
    margin-top: 40px;
}

/* gallary page */
.gallary .filter{
    background-color: white;
    border-bottom: 2px solid #e2e2e2;
    font-size: 2.5em;
    padding: 18px 2.6%;
}

.gallary .tags{
    display: inline-block;
}

.tag{
    display: inline-block;
    border: 2px solid #d9d9d9;
    border-radius: 5px;
    padding: 10px 12px;
    margin-left: 15px;
}

.tag p{
    margin: 0;
    display: inline-block;
}

.tag img{
    display: inline-block;
    vertical-align: middle;
    margin-right: 16px;
    cursor: pointer;
}

.gallary .add-filter{
    display: inline-block;
    border: 2px solid #bf9d5e;
    border-radius: 5px;
    padding: 10px 14px 10px 18px;
    cursor: pointer;
}

.gallary .add-filter p{
    display: inline-block;
    margin: 0;
    vertical-align: middle;
    margin-right: 20px;
    font-size: 1em;
    color: #be9b5b;
}
.gallary .add-filter img{
    display: inline-block;
    vertical-align: middle;
}
.gallary .select{
    float: left;
}

.select-pics{
    margin: 0;
    display: inline-block;
    margin-right: 20px;
    vertical-align: middle;
} 

.gallary .select .checkbox-text{
    font-size: unset;
}

.gallary .select .tag{
    margin-right: 45px;
    cursor: pointer;
}

.gallary .select .tag img{
    display: inline-block;
    vertical-align: middle;
    margin-left: 8px;
    margin-right: 4px;
}

.gallary .photos{
    background-color: #f2f2f2;
    padding: 40px 2.5% 50px 2.5%;
}

.gallary .grid-item{
  width: 20%;
  padding-bottom: 18%;
}

.gallary .grid-content{
  width: 95%;
  height: 94%;
  border: 1px solid #c2c3c2;
  background-image: url('../images/gallary-demo-image.jpg');
  background-position: center center;
  background-size: cover;
  cursor: pointer;
}

.gallary .editing{
    position: absolute;
    left: 0.5em;
    top: 0.5em;
    z-index: 2;
}

.gallary .edit-box{
    position: relative;
    background-color: white;
    height: 3.5em;
    width: 3.5em;
    margin-bottom: 0.4em;
}
.gallary .edit-box:hover{
    background-color: rgba(255, 255, 255, 0.7);
}
.gallary .editing .checkbox{
    width: 2.5em;
    height: 2.5em;
}

.gallary .icon{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40%;
}

.gallary .photo-focus{
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5);
}

.gallary .grid-content:hover .photo-focus{
    display: block;
}

/* edit-details pop-up */ 
.edit-details{
   display: none;
}

.edit-details .pop-up{
    position: absolute;
}

/* filter photos pop up */
.filtering{
    display: none;
    overflow: auto;
}
.filtering .filters-tags{
    padding: 5% 0;
    font-size: 2em;
}
.filtering .pop-up{
    position: absolute;
}

.filtering .fields{
    width: 84%;
}

.filtering .add-designer{
    float: left;
    width: 12.2%;
    cursor: pointer;
    position: relative;
    z-index: 1;
}

/* gallary image zoom-in pop-up */
.zoom-in{
    display: none;
}

.zoom-in .pop-up{
    width: 53.33%;
    padding: 0;
    background-image: url('../images/gallary-demo-image.jpg');
    padding-bottom: 37%;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.zoom-in #move-right{
    position: fixed;
    top: 50%;
    right: 0;
    transform: translate(0, -50%);
}

.zoom-in #move-left{
    position: fixed;
    top: 50%;
    left: 0;
    transform: translate(0, -50%);
}


/* 
Admin
*/
.admin{
    font-size: 2.6em;
}
.admin .group-title{
    margin: 0;
    /* padding-top: 1.2em; */
    /* margin-bottom: 0.6em; */
    display: inline-block;
    font-size: 1em;
    color: #c09e60;
}
.admin .row{
    font-size: 1em;
    border-bottom: 2px solid #e2e2e2;
    padding: 0.5em;
}
.admin .row:hover{
    border-color: white;
    background: #e2e2e2;
}
.admin .row small{
    color: #959595;
    user-select: none;
    vertical-align: middle;
}
.admin .row button{
    border: none;
    margin: 0 0.6em;
    color: black;
    background: white;
    border: 2px solid #bf9d5e;
    border-radius: 5px;
    line-height: 1;
    font-size: 0.8em;
    float: left;
}
.admin .row span{
    font-family: 'FbSpoilerEng';
}
.admin .grid-item{
    width: 50%;
}

/* responsive css */
@media screen and (max-height: 720px){
    .edit-details .pop-up{
        position: relative;
        top: 0;
        left: 0;
        margin: 0 auto;
        transform: none;
    }
}
@media screen and (max-width: 900px){

    /* global app responsive */
    header{
        position: fixed;
        width: 100%;
        text-align: center;
        z-index: 50;
        background-color: white;
        padding: 1%;
    }

    header .menu{
        /* display: none; */
        position: fixed;
        top: 82px;
        height: calc(100% - 82px);
        width: 100%;
        right: 0;
        background: white;
        overflow: auto;
    }
    .menu a{
        margin: 0;
        display: block;
        padding: 1em 0;
        font-size: 3.2em;
        text-align: right;
        border-bottom: 1px solid #2b2b2b;
        padding-right: 6%;
    }
    .show-menu{
        display: none;
    }
    footer{
        text-align: center;
    }

    .main{
        padding-top: 100px;
    }

    .back-btn{
        display: inline-block;
    }

    .menu-btn{
        display: inline-block;
    }
    
    /* home page responsive */
    .home .grid-item{
        width: 100%;
        padding-bottom: 39%
    }

    .home .black-hover{
        display: block;
        position: absolute;
        bottom: 0;
        background-color: rgba(0,0,0,0.5);
        width: 100%;
        height: 28%;
        color: white;
        font-size: 4vw;
        padding-top: 3.2%;
    }

     /* intro pop-up responsive */
     .intro{
         z-index: 25;
     }

    .intro .pop-up {
        left: 0%;
        top: 0%;
        transform: unset;
        width: 100%;
        min-height: 100%;
        padding-top: 130px;
        padding: 0;
    }

    .intro .basic-intro{
        padding: 135px 55px 0px 55px;
    }

    .intro .more-intro{
        display: block;
        border-top: 2px solid #e2e2e2;
        border-bottom: 2px solid #e2e2e2;
        text-align: center;
        margin-top: 60px;
        padding-top: 15px;
        padding-bottom: 180px;
        margin-bottom: 35px;
    }

    .intro .pop-up .gold-btn{
        display: block;
        width: 100%;
    }

    /* upload page responsive */
    .upload .workspace{
        font-size: 2vw;
    }

    .upload .grid-item{
        width: 100%;
        padding-bottom: 58%;
    }

    .upload .options button{
        display: block;
        margin: 0 auto;
        margin-top: 10px;
        margin-bottom: 10px;
    }

    /* gallary page responsive */
    .gallary .filter{
        display: block;
        padding-top: 0;
    }

    .gallary .select{
        float: none;
        display: block;
        text-align: center;
        margin-top: 15px;
        border-top: 2px solid #e2e2e2;
        padding-top: 20px;
    }

    /* zoom in responsive */
    .zoom-in .pop-up{
        width: 70%;
        padding-bottom: 70%;
    }

}


@media screen and (max-width: 1200px) {
    
    /* gallary page dynamic responsive */
    .gallary .grid-item{
        width: 25%;
        padding-bottom: 22.5%;
    }  
    .zoom-in #move-left, .zoom-in #move-right{
        width: 10%;
    }



}
@media screen and (max-width: 1024px) {
    .admin .grid-item{
        width: 100%;
    }
}
@media screen and (max-width: 900px) {
    
    /* gallary page dynamic responsive */
    .gallary .grid-item{
        width: 33.333%;
        padding-bottom: 29.7%;
    }  
    
}

@media screen and (max-width: 600px) {
    
    /* gallary page dynamic responsive */
    .gallary .grid-item{
        width: 50%;
        padding-bottom: 45%;
    }

    /* pop-ups responsive */
    .filtering .pop-up, .edit-details .pop-up, .delete-item .pop-up{
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%,-50%);
        max-width: 300px;
        color: #444444;
    }

    .filtering .pop-up .gold-btn, .edit-details .pop-up .gold-btn, .delete-item .pop-up .gold-btn{
        width: 100%;
    }



}

@media screen and (max-width: 450px) {
    
    .back-btn, .menu-btn{
        width: 12%;
        margin: 0;
        margin-top: 1.1em;
    }

    #vertical-line{
        margin: 0;
    }


}   

select.fields {
    font-family: 'FbSpoilerEng';
}